Bug 247428 - gnome-obex-server failing after upgrade from fc6 to f7
gnome-obex-server failing after upgrade from fc6 to f7
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-09 05:09 EDT by Morten Arnesen
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-25 03:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Morten Arnesen 2007-07-09 05:09:44 EDT
Description of problem:
library querried after dvd update is still libbtctl.so.2 not libbtctl.so.4 as it
should be.

Version-Release number of selected component (if applicable):gnome-obex-server

How reproducible:allways

Steps to Reproduce:
1.try to start gnome-obex-server
2.failing with err loading shared library libbtctl.so.2
Actual results:

failing with err loading shared library libbtctl.so.2

Expected results:
start of the server.

Additional info:
solved by symlinking libbtctl.so.4 to libbtctl.so.2
Comment 1 Ondrej Vasik 2007-07-10 11:23:50 EDT
Could you please provide versions of libbtctl and gnome-bluetooth package? Thanks.
Comment 2 Morten Arnesen 2007-07-10 15:49:16 EDT
it seems to be like this:

rpm -qa|grep libbtctl

from yum:
Installed Packages
gnome-bluetooth-libs.i386                0.8.0-4.fc7            installed       
Available Packages
gnome-bluetooth.i386                     0.8.0-4.fc7            fedora          
gnome-bluetooth-devel.i386               0.8.0-4.fc7            fedora          
openpbx-bluetooth.i386                   1.2-3.rc3.svn2540.fc7  fedora          

gnome bluetooth seems to not have been updated from fc6.

i have no idea where gnome-obex-server is from :)

rpm -qf /usr/bin/gnome-obex-server 
file /usr/bin/gnome-obex-server is not owned by any package

the bug is possible solved by installing gnome-bluetooth* ?
Comment 3 Ondrej Vasik 2007-07-11 09:20:25 EDT
Package versions seem to be ok. I have the same, installed on FC-6, from F7
branch sourcecodes , with rpm -U - and gnome-obex-server looks for correct
library - so it seems that yum had some troubles with upgrade from FC-6 to F7.

$rpm -qf /usr/bin/gnome-obex-server
Comment 4 Bastien Nocera 2007-07-23 05:59:20 EDT
This should be sorted once versions 0.9 of libbtctl and gnome-bluetooth have
made it in the updates repo for F7. Please test once the packages are available.
Comment 5 Bastien Nocera 2007-07-25 03:44:58 EDT
If that's working fine, let me close this.

Note You need to log in before you can comment on or make changes to this bug.